This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457047 - --channel does not work
--channel does not work
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.9
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 09:13 EDT by Jan Hutař
Modified: 2012-06-20 12:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:08:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2008-07-29 09:13:10 EDT
Description of problem:
When I try to install package with specified channel, all channels are allower 
as well.


Version-Release number of selected component (if applicable):
up2date-4.7.1-17.el4.x86_64


How reproducible:
always


Steps to Reproduce:
1. up2date --install test-regular --channel=repo-OLD


Actual results:
test-regular-0.2-2.i386.rpm is installed


Expected results:
test-regular-0.1-1.i386.rpm should be installed


Additional info:
# up2date --show-channels
repo-OLD
repo-NEW

# cat /etc/sysconfig/rhn/sources
...
dir repo-OLD /tmp/repo-OLD
yum repo-NEW http://localhost/repo-NEW/

There is 'test-regular-0.2-2.i386.rpm' in repo-NEW and 'test-
regular-0.1-1.i386.rpm' in repo-OLD repository. RHN disabled.
Comment 3 Jiri Pallich 2012-06-20 12:08:04 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.